Subject: Re: [Gen-art] Gen-ART review of draft-ietf-bess-orf-covering-prefixes-04

From: Jari Arkko <[email-masked]>
Date: Thu, 5 Mar 2015 14:31:20 +0200

Thanks for your review, David.

I think Adrian has suggested some edits to be made. Thanks.

For what it is worth, I found the draft relatively hard to read and I knew much of the terminology already. But I was able to understand what the draft specified. But I think it would be useful make some additional edits along the lines of Adrian’s suggestions or perhaps beyond. One thing that I often find useful is to explain the semantics of a concept or field as early as possible. There were a few cases in this document where you talked about something for a while but it was only clear later what its meaning was. Example: there’s a lot of rules about the minlen field early in the draft, but it is only on page six that the spec actually says what it does. Explaining what it is for would have made understanding easier.

In any case, these are just comments from my perspective. I have placed a No-Obj position for this document on tonight’s IESG telechat.

Jari